=== debian/control ===
Source: proxmox-firewall
Section: admin
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: cargo:native,
               debhelper-compat (= 13),
               librust-anyhow-1+default-dev,
               librust-env-logger-0.10+default-dev,
               librust-insta-dev,
               librust-libc-0.2+default-dev,
               librust-log-0.4+default-dev (>= 0.4.17-~~),
               librust-nix-0.26+default-dev (>= 0.26.1-~~),
               librust-proxmox-schema-3+default-dev (>= 3.1.2-~~),
               librust-proxmox-sortable-macro-dev,
               librust-proxmox-sys-dev (>= 0.6~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-plain-1+default-dev,
               librust-serde-with+default-dev,
               librust-signal-hook-dev,
               librust-thiserror-dev,
               libstd-rust-dev,
               netbase,
               python3,
               rustc:native,
Standards-Version: 4.6.2
Homepage: https://www.proxmox.com

Package: proxmox-firewall
Architecture: any
Conflicts: ulogd,
Depends: netbase, nftables, pve-firewall, ${misc:Depends}, ${shlibs:Depends},
Description: Proxmox's nftables-based firewall written in rust
 This package contains a nftables-based implementation of the Proxmox VE
 Firewall
